{$livechat_webapp_url = "https://my.livechatinc.com/signup?utm_source=cs-cart.com&utm_medium=integration&utm_campaign=cscart_integration"}
{$livechat_apps_url = "https://www.livechatinc.com/applications/?utm_source=cs-cart.com&utm_medium=integration&utm_campaign=cscart_integration"}

{if !$addons.livechat.livechat_license}
{literal}
<style type="text/css">
    #addon_option_livechat_livechat_cart,
    #addon_option_livechat_livechat_hide_on_mobile,
    #addon_option_livechat_livechat_sso_footer {
        position: absolute;
        visibility: hidden;
    }
</style>
{/literal}
{/if}

<input type="hidden" name="redirect_url" value="{"addons.update&addon=livechat"|fn_url}" />

{if $item.update_for_all && $settings.Stores.default_state_update_for_all == 'not_active'}
    {assign var="disable_input" value=true}
{/if}

<div class="form-field livechat-control-group">
    <label for="{$html_id}" class="left description {if $highlight && $item.name|in_array:$highlight}highlight{/if}"></label>

    <div class="livechat-description">
        <img src="{$images_dir|replace:"/images":""}/addons/livechat/livechat-integrates-with-cscart.png" class="livechat-integration-logo" width="342" height="182" />

        <div class="{if $addons.livechat.livechat_license}hidden{/if}">
            <div id="livechat_login_iframe">
                <iframe id="login-with-livechat" class="livechat-login" src="https://addons.livechatinc.com/sign-in-with-livechat"> </iframe>
                &nbsp;&nbsp;{$lang.or}&nbsp;&nbsp;
                <a href="{$livechat_webapp_url}" target="_blank">{$lang.livechat_create_account|lower}</a>
            </div>
            <p>{$lang.livechat_check_our_apps|replace:"[url]":$livechat_apps_url}.</p>
        </div>
        <div class="{if !$addons.livechat.livechat_license}hidden{/if}">
            {if $addons.livechat.livechat_login}
                <p>{$lang.livechat_current_login|replace:"[login]":$addons.livechat.livechat_login}</p>
            {/if}
            <p><a href="{$livechat_webapp_url}" target="_blank">{$lang.livechat_use_web_app}</a> {$lang.or} {$lang.livechat_check_our_apps|lcfirst|replace:"[url]":$livechat_apps_url}.</a></p>
        </div>
    </div>
</div>

{literal}
<script type="text/javascript">
//<![CDATA[
$(function() {
    var saveLivechatSettings = function(license, email) {
        $('iframe#login-with-livechat').hide();

        var $license_field = $('#addon_option_livechat_livechat_license'),
            $login_field = $('#addon_option_livechat_livechat_login');

        if ($license_field.attr('disabled') === true) {
            $license_field.siblings('.update-for-all').find('.cm-update-for-all-icon').trigger('click');
        }
        if ($login_field.attr('disabled') === true) {
            $login_field.siblings('.update-for-all').find('.cm-update-for-all-icon').trigger('click');
        }

        $license_field.val(license);
        $login_field.val(email);

        $('form[name=update_addon_livechat_form]').find('.cm-button-main :submit').trigger('click');
    };

    var processLivechatMessage = function(event) {
        if (event.data) {
            var livechatMessage = JSON.parse(event.data);
            if (livechatMessage && (livechatMessage.type === 'logged-in' && livechatMessage.eventTrigger === 'click') || livechatMessage.type === 'signed-out') {
                saveLivechatSettings(livechatMessage.license, livechatMessage.email);
            }
        }
    };

    var sendLivechatMessage = function(msg) {
        $('iframe#login-with-livechat').get(0).contentWindow.postMessage(msg, '*');
    };

    $(document).ready(function(){
        window.addEventListener('message', processLivechatMessage, false);

        $('.form-field').find('input[type=text], input[type=checkbox], select').each(function(){
            if ( $(this).css('display') == 'none' || $(this).css('visibility') == 'hidden' ) {
                $(this).closest('.form-field').addClass('form-field-hidden');
            }
        });
    });

    $('#livechat_delete_settings').click(function(e) {
        sendLivechatMessage('logout');
        e.preventDefault();
    });
});
//]]>
</script>
{/literal}
